function [prob,C1,C2,h1,h2] = Bayes_testA_h(M,runs)
%function prob = Bayes_testA_h(M,runs)
%Finds weight of evidence in favour of no diff in h
%M has two columns only, one for each pop.
%runs = No. of sims to perform

A=M(:,1); [v1,k1,C1] = good_v(A(M(:,1)>0));         %only send non-zero entries
A=M(:,2); [v2,k2,C2] = good_v(A(M(:,2)>0));

h1=zeros(runs,1);
h2=zeros(runs,1);
for i=1:runs
    if rem(i,10)==0, i, end		%keep tabs on progress
    x1 = rdirich(C1);
    x2 = rdirich(C2);
    h1(i) = 1 -sum(x1.^2);
    h2(i) = 1 -sum(x2.^2);
end

diff = h1-h2;
prob = 2*min([sum(diff<=0) sum(diff>=0)])/runs;
