function [prob,C1,h2] = Bayes_testB_h(M,runs)
%function prob = Bayes_testB_h(M,runs)
%Finds weight of evidence in favour of no diff in h
%M has two columns only, one for each pop.
%Column 1 is the pop for which a Dirichlet posterior is to formed
%Column 2 is the pop for which resamples of the same n are to be taken
%runs = No. of sims to perform

A=M(:,1); [v1,k1,C1] = good_v(A(M(:,1)>0));         %only send non-zero entries
n2 = sum(M(:,2));
simA=zeros(k1,1);                                   %will be used to store draws from Dirichlet realisations

h2=zeros(runs,1);
for i=1:runs
    if rem(i,10)==0, i, end		%keep tabs on progress
    x1 = rdirich(C1);
    lik = cumsum(x1);	     %used to make random draws from observed within-pop haplo distn
    for i=1:n2
      draw = 1 + sum(rand>lik);
      simA(draw) = simA(draw)+1;
    end
    h2(i) = Nei_h(simA);
end

h2_unb = Nei_h(M(:,2));

prob = 2*min([sum(h2<=h2_unb) sum(h2>=h2_unb)])/runs;
