function simh = boot_h(M,runs)
%function simh = boot_h(M,runs)
% Does bootstrapping of h
% No adjustment is made to simulated values


[nhap,npop]=size(M);
N=sum(M);					%=nsamp
m= M./(ones(nhap,1)*N);			%freqs
lik = cumsum(m);	     %used to make random draws from observed within-pop haplo distn

simh=zeros(runs,npop);
for r=1:runs
  if rem(r,100)==0, r, end		%keep tabs on progress
  %simulate the M matrix
  simM=zeros(nhap,npop);
  for x=1:npop
  for i=1:N(x)
    draw = 1 + sum(rand>lik(:,x));
    simM(draw,x) = simM(draw,x)+1;
  end
  end

  simh(r,:)=Nei_h(simM);
end

