function [v,K,C] = good_v(M)
%function [v,K,C] = good_v(M)
%For given single pop stored in M, increments allele number K until v<1

[nhap,npop] = size(M);
n=sum(M);
J = sum(M.^2);
h_unb = n./(n-1) .* (1-J/n^2);

K=nhap-1;
v=[];
while isempty(v)
  K=K+1;
  roots = quadroot( K*(K-K*h_unb-1), 2*n*(K-K*h_unb-1) - K*h_unb, n^2 - n*(n+1)*h_unb - J );
  v = min(roots((roots>0)&(roots<=1)));
end  

C = [M+v; v.*ones(K-nhap,1)];